Skip to main content
POST
/
v1
/
enrichments
/
{enrichment_id}
/
bulk-run
curl --request POST \ --url https://api.databar.ai/v1/enrichments/{enrichment_id}/bulk-run \ --header 'Content-Type: application/json' \ --header 'x-apikey: <x-apikey>' \ --data ' { "params": [ { "param1": "value1", "param2": "value2" } ] } '
{
  "task_id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "processing"
}

Documentation Index

Fetch the complete documentation index at: https://docs.databar.ai/llms.txt

Use this file to discover all available pages before exploring further.

This runs an enrichment in bulk headless — results are returned inline. To enrich rows stored in a Databar table, see Run table enrichment.
This endpoint is asynchronous. It returns a task_id — poll Get task status to retrieve your results. Task data expires after 24 hours.

Headers

x-apikey
any
required

API Key for authentication

Path Parameters

enrichment_id
integer
required

The ID of the enrichment to run

Body

application/json
params
Params · object[]
required
pagination
PaginationOptions · object

Response

Successfully submitted the bulk enrichment run

task_id
string
required
status
string
required